﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
 
using System.Collections.ObjectModel;
using System.Windows.Input;
 
using System.Collections;
using WpfApplication1.Data;

namespace UFP.LumberTrack.ViewModeling.Production.Ordered.Sources
{
    
        /// <summary>
        /// Helper class.
        /// </summary>
        public class FilterProvisioning
        {
            /// <summary>
            /// Private empty data.
            /// </summary>
            private WorkOrderData m_Data;

            /// <summary>
            /// Simply allow for filtering by providing
            /// our XamGrid with the blank datarowview it needs.
            /// </summary>
            public FilterProvisioning ()
	        {
                // Create a dataset
                m_Data = new WorkOrderData();

                // Add a row 
                WorkOrderData.WorkOrderRow RowObj = (WorkOrderData.WorkOrderRow)m_Data.WorkOrder.NewRow();
                RowObj.WorkOrderNumber = 0;
                m_Data.WorkOrder.AddWorkOrderRow(RowObj);

                // Accept
                m_Data.AcceptChanges();
                    
	        }

            /// <summary>
            /// Get the same datarowview every time.
            /// </summary>
            public DataRowView GetFilterObject()
            {
                return m_Data.WorkOrder.DefaultView.Cast<DataRowView>().First();
            }


        }
}
